For Developers

Get Gender Identity

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/gender_identities/:gender_identity_id

Retrieve information about a specific Gender Identity.

Request Parameters

ParameterLocationTypeDescription
gender_identity_idurlstringThe UUID of the desired Gender Identity.

Sample Request

axios.get('https://ed.link/api/v2/graph/gender_identities/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "code": "M",
        "name": "Male",
        "description": "Male.",
        "mapping": "male"
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}